<%@ page import="java.util.List" %>
<%@ page import="org.apache.geronimo.samples.bank.ejb.ExchangeRate" %>
<!--
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements. See the NOTICE file
distributed with this work for additional information
regarding copyright ownership. The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied. See the License for the
specific language governing permissions and limitations
under the License.
-->
<HTML>
<HEAD><TITLE>Exchange Rates</TITLE></HEAD>
<BODY>
<DIV align="center">
    <H2>Exchange Rates</H2>
    <BR><BR>
    <TABLE bgcolor="cyan">
        <TR>
            <TD><B>Currency</B></TD>
            <TD><B>Rate</B></TD>
        </TR>
        <%
            if (request.getAttribute("ratesList") != null) {
                List<ExchangeRate> rateList = (List<ExchangeRate>) request.getAttribute("ratesList");
                for (int i = 0; i < rateList.size(); i++) {
                    ExchangeRate rate = (ExchangeRate) rateList.get(i);
                    if (rate == null) {
                        out.println("<tr><td>not found</td><td></td></tr>");
                    } else {
                        String currency = rate.getCurrency();
                        Double rateVal = rate.getRate();
        %>
        <TR>
            <TD><%= currency %>
            </TD>
            <TD><%= rateVal.toString() %>
            </TD>
        </TR>
        <%
                    }
                }
            }
        %>
    </TABLE>
    <BR><BR>
    <a href="../bank/index.jsp">Home</a>
</DIV>
</BODY>
</HTML>
